> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Récupérer une famille d'articles

> Renvoie une famille d'articles par son identifiant.

Renvoie une famille d'articles par son identifiant.

```json Réponse theme={null}
{
  "articleFamiliesByPk": {
    "id": 2,
    "name": "Pièces techniques",
    "code": "PT"
  }
}
```


## OpenAPI

````yaml openapi.json GET /article-families/{id}
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /article-families/{id}:
    get:
      summary: Retrieve an article family
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: _"id" is required as part of the path_
          in: path
          name: id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  articleFamiliesByPk:
                    nullable: true
                    properties:
                      code:
                        nullable: false
                        type: string
                      id:
                        nullable: false
                        type: integer
                      name:
                        nullable: false
                        type: string
                    type: object
          description: Response

````